org.apache.ignite.internal.client

## Interface GridClientBeforeNodeStart

All Superinterfaces:
  AutoCloseable

All Known Implementing Classes:
  GridClientImpl

    public interface GridClientBeforeNodeStart
    extends AutoCloseable

Ignite Java client API for communicate with node before it start. If node has already started, then there will be errors. For get an instance, need to use `GridClientFactory.startBeforeNodeStart(org.apache.ignite.internal.client.GridClientConfiguration)`.

### Method Summary

All Methods Instance Methods Abstract Methods
`GridClientNodeStateBeforeStart` `beforeStartState()` Getting a client projection of node state before its start.
`GridClientException` `checkLastError()` Checking for an error.
`void` `close()` Closes client instance.
`boolean` `connected()` Indicates whether client is connected to remote Grid.
`UUID` `id()` Gets a unique client identifier.

### Method Detail

#### id

    UUID id()

Gets a unique client identifier. This identifier is generated by factory on client creation and used in identification and authentication procedure on server node.

Returns:
  Generated client id.

#### connected

    boolean connected()

Indicates whether client is connected to remote Grid. In other words it allow to determine if client is able to communicate with Grid right now. It can be used only fo diagnostic and monitoring purposes.

Returns:
  Whether client is connected to remote Grid.

#### close

    void close()

Closes client instance. This method is identical to `GridClientFactory.stop(clientId)`.

Specified by:
  `close` in interface `AutoCloseable`

#### checkLastError

    GridClientException checkLastError()

Checking for an error.

Returns:
  `Exception` if client was not connected.

#### beforeStartState

    GridClientNodeStateBeforeStart beforeStartState()

Getting a client projection of node state before its start.

Returns:
  Projection of node state before its start.
See Also:
  `GridClientNodeStateBeforeStart`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023